Bug 41937 - invoke.exe test asserts on bitcode
Summary: invoke.exe test asserts on bitcode
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: 4.5.X
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Alexander Kyte
URL:
Depends on:
Blocks:
 
Reported: 2016-06-17 16:34 UTC by Alexander Kyte
Modified: 2016-06-18 00:53 UTC (History)
3 users (show)

See Also:
Tags: bitcode_mobile_static
Is this bug a regression?: ---
Last known good build:


Attachments

Description Alexander Kyte 2016-06-17 16:34:21 UTC
akyte@Alexanders-MacBook-Air ~/mono/mono/tests (new_bitcode_head*) $ ../mini/mono-sgen --llvmonly invoke.exe
* Assertion at aot-runtime.c:4528, condition `m' not met

Stacktrace:


Native stacktrace:

	0   mono-sgen                           0x0000000108ba4fae mono_handle_native_sigsegv + 334
	1   mono-sgen                           0x0000000108cac8f5 sigabrt_signal_handler + 165
	2   libsystem_platform.dylib            0x00007fff8aed0eaa _sigtramp + 26
	3   mono-sgen                           0x0000000109a167c3 mono_polling_required + 31883
	4   mono-sgen                           0x000000010979d066 abort + 22
	5   mono-sgen                           0x0000000108ee85a3 monoeg_log_default_handler + 211
	6   mono-sgen                           0x0000000108ee84b2 monoeg_g_logv + 114
	7   mono-sgen                           0x0000000108ee88b4 monoeg_assertion_message + 356
	8   mono-sgen                           0x0000000108b899da mono_aot_get_method_checked + 3482
	9   mono-sgen                           0x0000000108a7c04f mono_jit_compile_method_with_opt + 1023
	10  mono-sgen                           0x0000000108a7ea25 mono_jit_runtime_invoke + 741
	11  mono-sgen                           0x0000000108ddd6f1 do_runtime_invoke + 193
	12  mono-sgen                           0x0000000108dd6c89 mono_runtime_invoke_checked + 105
	13  mono-sgen                           0x0000000108de210d mono_runtime_try_invoke_array + 1389
	14  mono-sgen                           0x0000000108de245a mono_runtime_invoke_array_checked + 58
	15  mono-sgen                           0x0000000108cff89a ves_icall_InternalInvoke + 2810
	16  mscorlib.dll.dylib                  0x000000010b938fc4 wrapper_managed_to_native_System_Reflection_MonoMethod_InternalInvoke_System_Reflection_MonoMethod_object_object___System_Exception_ + 84
	17  mscorlib.dll.dylib                  0x000000010b939113 System_Reflection_MonoMethod_Invoke_object_System_Reflection_BindingFlags_System_Reflection_Binder_object___System_Globalization_CultureInfo + 259
	18  invoke.exe.dylib                    0x000000010a3fbea0 Tests_test_0_array_get_set + 400
	19  mscorlib.dll.dylib                  0x000000010bf34e8f wrapper_unknown_object_gsharedvt_out_sig_intptr_intptr_2 + 15
	20  mscorlib.dll.dylib                  0x000000010bf16fd2 wrapper_runtime_invoke_object_runtime_invoke_sig_void_intptr_intptr_object_intptr_intptr_intptr + 306
	21  mono-sgen                           0x0000000108a82b06 mono_llvmonly_runtime_invoke + 1190
	22  mono-sgen                           0x0000000108a7f110 mono_jit_runtime_invoke + 2512
	23  mono-sgen                           0x0000000108ddd6f1 do_runtime_invoke + 193
	24  mono-sgen                           0x0000000108dd6c89 mono_runtime_invoke_checked + 105
	25  mono-sgen                           0x0000000108de210d mono_runtime_try_invoke_array + 1389
	26  mono-sgen                           0x0000000108de245a mono_runtime_invoke_array_checked + 58
	27  mono-sgen                           0x0000000108cff89a ves_icall_InternalInvoke + 2810
	28  mscorlib.dll.dylib                  0x000000010b938fc4 wrapper_managed_to_native_System_Reflection_MonoMethod_InternalInvoke_System_Reflection_MonoMethod_object_object___System_Exception_ + 84
	29  mscorlib.dll.dylib                  0x000000010b939113 System_Reflection_MonoMethod_Invoke_object_System_Reflection_BindingFlags_System_Reflection_Binder_object___System_Globalization_CultureInfo + 259
	30  TestDriver.dll.dylib                0x000000010c5974d6 TestDriver_RunTests_System_Type_string__ + 2422
	31  invoke.exe.dylib                    0x000000010a3fb96f Tests_Main_string__ + 63
	32  mscorlib.dll.dylib                  0x000000010bf35652 wrapper_unknown_object_gsharedvt_out_sig_intptr_object__intptr_5 + 18
	33  mscorlib.dll.dylib                  0x000000010bf17149 wrapper_runtime_invoke_object_runtime_invoke_sig_void_intptr_intptr_intptr_object_intptr_intptr_intptr + 313
	34  mono-sgen                           0x0000000108a82b06 mono_llvmonly_runtime_invoke + 1190
	35  mono-sgen                           0x0000000108a7f110 mono_jit_runtime_invoke + 2512
	36  mono-sgen                           0x0000000108ddd6f1 do_runtime_invoke + 193
	37  mono-sgen                           0x0000000108dd7b33 mono_runtime_try_invoke + 195
	38  mono-sgen                           0x0000000108de17ce do_try_exec_main + 286
	39  mono-sgen                           0x0000000108de02d9 mono_runtime_try_exec_main + 57
	40  mono-sgen                           0x0000000108de0412 mono_runtime_try_run_main + 146
	41  mono-sgen                           0x0000000108b5b1ee mono_jit_exec + 302
	42  mono-sgen                           0x0000000108b5ef40 main_thread_handler + 560
	43  mono-sgen                           0x0000000108b5d7f4 mono_main + 8180
	44  mono-sgen                           0x0000000108a68bde mono_main_with_options + 46
	45  mono-sgen                           0x0000000108a6844d main + 77
	46  libdyld.dylib                       0x00007fff97d445ad start + 1

Debug info from gdb:

[New Thread 0x1303 of process 66466]
[New Thread 0x1403 of process 66466]
[New Thread 0x1503 of process 66466]
[New Thread 0x1603 of process 66466]
[New Thread 0x1703 of process 66466]
[New Thread 0x1803 of process 66466]
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLArgument.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLCommandBuffer.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLCommandQueue.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLCompilerCache.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLCompilerConnection.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLComputePipeline.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLDebug.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLDebugCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLDepthStencil.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLDevice.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelBlitCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelBuffer.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelCommandBuffer.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelCommandBufferStorage.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelCommandQueue.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelComputeCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelDebugCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelDevice.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelDeviceShmem.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelDeviceShmemPool.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelError.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelMemoryInfo.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelParallelRenderCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelPooledResource.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelRenderCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelResource.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelResourcePool.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLIOAccelTexture.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLLibrary.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLOpenGL.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLParallelRenderCommandEncoder.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLPixelFormat.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLRangeAllocator.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLReflection.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLRenderPass.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLRenderPipeline.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLResource.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLResourceList.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLResourceListPool.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLSampler.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLStatistics.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLTexture.o': can't open to read symbols: No such file or directory.
warning: `/Library/Caches/com.apple.xbs/Binaries/Metal/Metal-55.2.8~2/Objects/Metal.build/Framework.build/Objects-normal/x86_64/MTLVertexDescriptor.o': can't open to read symbols: No such file or directory.
0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 7 (Thread 0x1803 of process 66466):
  Id   Target Id         Frame
* 7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 6 (Thread 0x1703 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 5 (Thread 0x1603 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 4 (Thread 0x1503 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 3 (Thread 0x1403 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 2 (Thread 0x1303 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
* 2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 1 (Thread 0x1203 of process 66466):
  Id   Target Id         Frame
  7    Thread 0x1803 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  6    Thread 0x1703 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  5    Thread 0x1603 of process 66466 0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
  4    Thread 0x1503 of process 66466 0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
  3    Thread 0x1403 of process 66466 0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
  2    Thread 0x1303 of process 66466 0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
* 1    Thread 0x1203 of process 66466 0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib

Thread 7 (Thread 0x1803 of process 66466):
#0  0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x00007fff9bc40729 in __block_descriptor_tmp28 () from /usr/lib/system/libsystem_pthread.dylib
#2  0x0001000000000000 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x1703 of process 66466):
#0  0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x00007fff9bc40729 in __block_descriptor_tmp28 () from /usr/lib/system/libsystem_pthread.dylib
#2  0x0001000000000000 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x1603 of process 66466):
#0  0x00007fff9ceddff6 in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x00007fff8e893099 in ?? () from /usr/lib/system/libdispatch.dylib
#2  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x1503 of process 66466):
#0  0x00007fff9cedd6de in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x00007fff9bc40729 in __block_descriptor_tmp28 () from /usr/lib/system/libsystem_pthread.dylib
#2  0x0001000000000000 in ?? ()
#3  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x1403 of process 66466):
#0  0x00007fff9ced73c2 in sExifIFDMappings () from /usr/lib/system/libsystem_kernel.dylib
#1  0x0000000108dd28aa in mono_os_sem_wait (sem=0x1099d5bf0, flags=MONO_SEM_FLAGS_ALERTABLE) at ../../mono/utils/mono-os-semaphore.h:72
#2  0x0000000108dd2598 in mono_coop_sem_wait (sem=0x1099d5bf0, flags=MONO_SEM_FLAGS_ALERTABLE) at ../../mono/utils/mono-coop-semaphore.h:40
#3  0x0000000108dd23b3 in finalizer_thread (unused=0x0) at gc.c:767
#4  0x0000000108d9776b in start_wrapper_internal (data=0x7fde80d1d690) at threads.c:740
#5  0x0000000108d973e1 in start_wrapper (data=0x7fde80d1d690) at threads.c:788
#6  0x0000000108edb8ef in inner_start_thread (arg=0x7fff57199e10) at mono-threads-posix.c:92
#7  0x00007fff9bc40c13 in ?? () from /usr/lib/system/libsystem_pthread.dylib
#8  0x0000000000001303 in ?? ()
#9  0x0000700000284000 in ?? ()
#10 0x0000700000283f50 in ?? ()
#11 0x00007fff9bc40b90 in ?? () from /usr/lib/system/libsystem_pthread.dylib
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x1303 of process 66466):
#0  0x00007fff9cedceb2 in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x00007fff9bc41150 in ?? () from /usr/lib/system/libsystem_pthread.dylib
#2  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x1203 of process 66466):
#0  0x00007fff9cedd67e in ?? () from /usr/lib/system/libsystem_kernel.dylib
#1  0x0000000108ba50d2 in mono_handle_native_sigsegv (signal=6, ctx=0x7fff57197ee0, info=0x7fff57197e78) at mini-exceptions.c:2458
#2  0x0000000108cac8f5 in sigabrt_signal_handler (_dummy=6, _info=0x7fff57197e78, context=0x7fff57197ee0) at mini-posix.c:227
#3  <signal handler called>
#4  0x00007fff9cedd003 in ?? () from /usr/lib/system/libsystem_kernel.dylib
#5  0x00007fff9bc425c5 in ?? () from /usr/lib/system/libsystem_pthread.dylib
#6  0x0000000000000006 in ?? ()
#7  0x0000050f7aee8000 in ?? ()
#8  0x000000010a411e28 in ?? ()
#9  0x00007fff57198d70 in ?? ()
#10 0x00007fff57197fd0 in ?? ()
#11 0x000000010979d066 in abort ()
Backtrace stopped: frame did not save the PC
Comment 1 Zoltan Varga 2016-06-18 00:52:52 UTC
Fixed in master.
Comment 2 Zoltan Varga 2016-06-18 00:53:20 UTC
Fixed.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.